#include <proto.h>

#include "gtspace.h"
#include "gterror.h"
#include "gtcommon.h"

/************************************************************************\
*
* GtSpace class.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

/************************************************************************\
*
* Create and init button.
*
\************************************************************************/
GtSpace *GtMkSpace(char *n,GtManager *p,GtTag *tgs)
{
	GtSpace *obj;
	
	if(!(obj=new GtSpace()))
	{
		GtError(NULL,GTEC_NOOBJECT,"No GtSpace object!\n");
		return(NULL);
	}
	if(!obj->Init(n,p,tgs))
	{
		delete obj;
		obj=NULL;
	}
	return(obj);
}
	
/************************************************************************\
*
* Create and init button.
*
\************************************************************************/
GtSpace *GtMkSpace(char *n,GtManager *p,ulong tag,...)
{
	va_list va;
	GtSpace *obj;
	int ps;
	
	va_start(va,tag);
	ps=GtBeginVaTags();
	obj=GtMkSpace(n,p,GtCopyVaTags(tag,&va));
	GtEndVaTags(ps);
	va_end(va);
	return(obj);
}
	
/************************************************************************\
*
* Setup space to be windowless by default.
*
\************************************************************************/
sbool GtSpace::Init(char *n,GtManager *p,GtTag *tgs)
{
	GtTag ts[2];
	
	ts[0].tag=GT_WindowLess;
	ts[0].d.val=TRUE;
	ts[1].tag=GT_MORE;
	ts[1].d.ptr=tgs;
	return(GtWidget::Init(n,p,ts));
}

/************************************************************************\
*
* Check if class is (sub)class of named class.
*
\************************************************************************/
sbool GtSpace::IsSubClassOf(char *cn)
{
	if(strcmp(cn,"GtSpace")==0)
		return(TRUE);
	else
		return(GtWidget::IsSubClassOf(cn));
}

